Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.transport.service.transporter
Interface TransporterService

All Known Implementing Classes:
  TransporterImpl

    public interface TransporterService

Field Summary
`static java.lang.String` | `TRANSPORT_NAME`

Method Summary
`java.io.InputStream` | `getInputStream(java.net.URI uri)` Establishes a connection to the given URI and returns an inputstream.
`java.net.Socket` | `getSocket(java.net.URI uri, boolean useTLS)` Creates a returns a socket to the given URI.
`javax.xml.soap.SOAPMessage` | `send(javax.xml.soap.SOAPMessage msg, java.net.URI uri)` Sends the SOAP message to the URI.

Field Detail

### TRANSPORT_NAME

    static final java.lang.String TRANSPORT_NAME

See Also:
  Constant Field Values

Method Detail

### getSocket

    java.net.Socket getSocket(java.net.URI uri,
                              boolean useTLS)
                              throws java.security.KeyManagementException,
                                     NoSecurityDomainException,
                                     java.security.NoSuchAlgorithmException,
                                     java.net.UnknownHostException,
                                     java.io.IOException

  Creates a returns a socket to the given URI. The socket will use TLS, unless

  Parameters:
    `uri` -
    `useTLS` - true to use TLS, false otherwise
  Returns:
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`
    `java.security.NoSuchAlgorithmException`
    `NoSecurityDomainException`
    `java.security.KeyManagementException`
    `java.lang.Exception`

### getInputStream

    java.io.InputStream getInputStream(java.net.URI uri)
                                       throws NoSecurityDomainException,
                                              java.net.MalformedURLException,
                                              java.io.IOException,
                                              java.security.NoSuchAlgorithmException

  Establishes a connection to the given URI and returns an inputstream. If the URI protocol requires TLS e.g. HTTPS, then, TLS is used.

  Parameters:
    `uri` -
  Returns:
  Throws:
    `NoSecurityDomainException`
    `java.net.MalformedURLException`
    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`

### send

    javax.xml.soap.SOAPMessage send(javax.xml.soap.SOAPMessage msg,
                                    java.net.URI uri)
                                    throws java.lang.UnsupportedOperationException,
                                           javax.xml.soap.SOAPException,
                                           java.net.MalformedURLException,
                                           java.io.IOException,
                                           java.lang.Exception,
                                           NoSecurityDomainException,
                                           java.security.NoSuchAlgorithmException

  Sends the SOAP message to the URI.

  Parameters:
    `msg` -
    `uri` -
  Returns:
    SOAPMessage returned by the URI
  Throws:
    `java.lang.UnsupportedOperationException`
    `javax.xml.soap.SOAPException`
    `java.net.MalformedURLException`
    `NoSecurityDomainException`
    `java.security.NoSuchAlgorithmException`
    `java.io.IOException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD